<?php

class VDEVShopifyApp extends VDEVShopify {

    public function install()
    {
        $redirectURI = 'https://' . $this->apiData['host'] . '/apps/' . $this->apiData['app'] . '/generate_token';
        $installURL = 'https://' . $this->apiData['shop'] . '/admin/oauth/authorize?client_id=' . $this->apiData['api_key'] . '&scope=' . $this->apiData['scopes'] . '&redirect_uri=' . urlencode($redirectURI);
        header('Location: ' . $installURL);
        exit;
    }

    public function generateToken($params)
    {
        unset($params['controller']);
        unset($params['action']);
        $hmac = $_GET['hmac'];

        $params = array_diff_key($params, ['hmac' => '']);
        ksort($params);

        $computedHmac = hash_hmac('sha256', http_build_query($params), $this->apiData['api_secret_key']);

        /* Use hmac data to check that the response is from Shopify or not */
        if (hash_equals($hmac, $computedHmac)) {

            /* Set variables for our request */
            $query = [
                'client_id' => $this->apiData['api_key'],
                'client_secret' => $this->apiData['api_secret_key'],
                'code' => $params['code'] /* Grab the access key from the URL */
            ];

            /* Generate access token URL */
            $accessTokenURL = 'https://' . $this->apiData['shop'] . '/admin/oauth/access_token';

            /* Configure curl client and execute request */
            $curl = curl_init();
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_URL, $accessTokenURL);
            curl_setopt($curl, CURLOPT_POST, count($query));
            curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($query));
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

            $result = curl_exec($curl);
            curl_close($curl);

            $resultArr = json_decode($result, true);
            
            if (!empty($resultArr['access_token'])) {
                $this->setAccessToken($resultArr['access_token']);
                $url = 'https://' . $this->apiData['host'] . '/apps/' . $this->apiData['app'] . '/?shop=' . $this->apiData['shop'] . '&access_token=' . $resultArr['access_token'];
                header('Location: ' . $url);
                exit;
            }
        }
        
        exit('Something went wrong...');
    }
}