<h5 class="mb-3 pb-1">
    Collections
</h5>
<?php

$VDEVShopifyCollection = $VDEVShopify->apiClass('collection');
$collectionsParameters = [
    'limit' => 100
];

if (!empty($_GET['page_info'])) {
    $collectionsParameters['page_info'] = htmlspecialchars($_GET['page_info']);
}

$collections = $VDEVShopifyCollection->getAll($collectionsParameters, 'custom', true);

?>
<?php if (!empty($collections['items'])): ?>
    <div class="list-group list-group-flush border-top border-bottom scrollarea" style="margin-right: -1.5rem; margin-left: -1.5rem;">
        <?php foreach ($collections['items'] as $i => $collection): ?>
            <?php if ($collection['template_suffix'] == 'cms'): ?>
            <?php
            $collectionCMSQueryMetafield = $VDEVShopifyCollection->getCollectionMetafields($collection, 'cms', 'query');
            ?>
            <div class="list-group-item list-group-item-action py-3 px-4 lh-sm">
                <div class="d-flex w-100 align-items-center justify-content-between"<?php if (empty($collectionCMSQueryMetafield)): ?> style="opacity: .5"<?php endif; ?>>
                    <strong class="mb-1">
                        <?= htmlspecialchars($collection['title']) ?>
                    </strong>
                    <small class="text-trim">
                        <?= htmlspecialchars($collection['template_suffix']) ?>
                    </small>
                </div>
                <?php if (!empty($collectionCMSQueryMetafield) && $accessLevel > 1): ?>
                    <div class="col-10 pb-1 mb-2 small">
                        <?= htmlspecialchars($collectionCMSQueryMetafield) ?>
                    </div>
                <?php endif; ?>
                <div class="d-flex gap-4">
                    <?php if (!empty($collectionCMSQueryMetafield) && $accessLevel > 1): ?>
                        <a href="<?= Tools::getLink('collection', 'edit', (int)$collection['id']) ?>" style="text-decoration: none;">
                            <small class="d-block text-muted">
                                <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-border-all me-1" viewBox="0 0 16 16" style="margin-top: -3px;">
                                    <path d="M0 0h16v16H0V0zm1 1v6.5h6.5V1H1zm7.5 0v6.5H15V1H8.5zM15 8.5H8.5V15H15V8.5zM7.5 15V8.5H1V15h6.5z"/>
                                </svg>
                                Edit products keyword
                            </small>
                        </a>
                    <?php endif; ?>
                    <a href="//<?= Tools::getShop() ?>/admin/collections/<?= (int)$collection['id'] ?>/" style="text-decoration: none;" target="_blank">
                        <small class="d-block text-muted">
                            <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-pencil me-1" viewBox="0 0 16 16" style="margin-top: -3px;">
                                <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                            </svg>
                            Edit collection
                        </small>
                    </a>
                    <a href="//<?= Tools::getShop() ?>/collections/<?= $collection['handle'] ?>/" style="text-decoration: none;" target="_blank">
                        <small class="d-block text-muted">
                            <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-binoculars-fill me-1" viewBox="0 0 16 16" style="margin-top: -3px;">
                                <path d="M4.5 1A1.5 1.5 0 0 0 3 2.5V3h4v-.5A1.5 1.5 0 0 0 5.5 1h-1zM7 4v1h2V4h4v.882a.5.5 0 0 0 .276.447l.895.447A1.5 1.5 0 0 1 15 7.118V13H9v-1.5a.5.5 0 0 1 .146-.354l.854-.853V9.5a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 0-.5.5v.793l.854.853A.5.5 0 0 1 7 11.5V13H1V7.118a1.5 1.5 0 0 1 .83-1.342l.894-.447A.5.5 0 0 0 3 4.882V4h4zM1 14v.5A1.5 1.5 0 0 0 2.5 16h3A1.5 1.5 0 0 0 7 14.5V14H1zm8 0v.5a1.5 1.5 0 0 0 1.5 1.5h3a1.5 1.5 0 0 0 1.5-1.5V14H9zm4-11H9v-.5A1.5 1.5 0 0 1 10.5 1h1A1.5 1.5 0 0 1 13 2.5V3z"/>
                            </svg>
                            View collection
                        </small>
                    </a>
                </div>
            </div>
            <?php endif; ?>
        <?php endforeach; ?>
    </div>
    <?php if (!empty($collections['pagination']['prev_page_info']) || !empty($collections['pagination']['next_page_info'])): ?>
        <div class="text-center p-4">
            <?php if (!empty($collections['pagination']['prev_page_info'])): ?>
                <a href="<?= Tools::getLink('collections') ?>&page_info=<?= htmlspecialchars($collections['pagination']['prev_page_info']) ?>"
                   class="btn btn-outline-primary">
                    Prev
                </a>
            <?php endif; ?>
            <?php if (!empty($collections['pagination']['next_page_info'])): ?>
                <a href="<?= Tools::getLink('collections') ?>&page_info=<?= htmlspecialchars($collections['pagination']['next_page_info']) ?>"
                   class="btn btn-primary">
                    Next
                </a>
            <?php endif; ?>
        </div>
    <?php endif; ?>
<?php endif; ?>