<h5 class="mb-3 pb-1">
    Footer links
</h5>
<div class="border-top p-4" style="margin-right: -1.5rem; margin-left: -1.5rem;">
    <?php
    
    if (!empty($_GET['products_checked'])) {
        $productsChecked = (int)$_GET['products_checked'];
    
    } else {
        $productsChecked = 0;
    }
    
    $VDEVShopifyProduct = $VDEVShopify->apiClass('product');
    
    $productsParameters = [
        'limit' => 1
    ];
    
    if (!empty($_GET['page_info'])) {
        $productsParameters['page_info'] = $_GET['page_info'];
        
    } else {
        $productsParameters['status'] = 'active';
    }
    
    $products = $VDEVShopifyProduct->getAll($productsParameters, true);
    
    if (empty($products['items'])) {
        exit('<div class="alert alert-warning">Products not found</div>');
    }
    
    ?>
    <?php if (!empty($productsChecked)): ?>
    <div class="alert alert-warning">
        Products updated: <?= (int)$productsChecked ?>
    </div>
    <?php endif; ?>
    <?php
    
    $VDEVShopifyCollection = $VDEVShopify->apiClass('collection');
    $collections = $VDEVShopifyCollection->getAll(['limit' => 200]); // template_suffix = cms
    
    if (empty($collections)) {
        exit('<div class="alert alert-warning">No collections found</div>');
    }
    
    if (Tools::getAction() == 'found_product_without_links') {
        ?>
        <div class="alert alert-success">
            Search for product without links
        </div>
        <?php
        
        foreach ($products['items'] as $i => $cardProduct) {
            
            if ($i >= (int)Tools::getMethod()) {
                ?>
                <div>
                    <b><?= $i ?>:</b> <?= htmlspecialchars($cardProduct['title']) ?>
                </div>
                <?php
                
                $cardProductMetafields = $VDEVShopifyProduct->getMetafieldsById($cardProduct['id'], 'footer', 'links');
                
                if (empty($cardProductMetafields)) {
                    ?>
                    <script>
                        
                        setTimeout(function() {
                            window.location.href = '<?= Tools::getLink('footer_links', 'skip_product', (int)$i) ?>';
                        }, 100);
                        
                    </script>
                    <?php
                }
            }
        }
    }
    
    $database = new Database;
    
    foreach ($products['items'] as $i => $cardProduct) {
        
        if (empty($cardProduct['id'])):
            ?>
            <p class="alert alert-danger">Product ID not found</p>
            <?php
            
            exit;
        endif;
        
        $cardProductCacheForceUpdate = false;
        $cardProductCache = $database->getProductCacheById((int)$cardProduct['id']);
        
        if (empty($cardProductCache)) {
            $newCardProductCache = [
                'shopify_product_id' => (int)$cardProduct['id'],
                'title' => $cardProduct['title'],
                'body_html' => $cardProduct['body_html'],
                'shopify_shop' => Tools::getShop(),
                'metafields' => json_encode([
                    'footer.links' => [
                        'namespace' => 'footer',
                        'key' => 'links',
                        'value' => $VDEVShopifyProduct->getMetafieldsById((int)$cardProduct['id'], 'footer', 'links')
                    ]
                ]),
                'update_date' => date('c')
            ];
            $database->addProductCache($newCardProductCache);
            
            ?>
            <p class="alert alert-success">Product (ID #<?= (int)$cardProduct['id'] ?>): cache is added</p>
            <?php
        
        } else {
            
            if (!empty($cardProductCache['update_date'])) {
                $cardProductUpdateDate = strtotime($cardProductCache['update_date']);
                
                ?>
                <p class="alert alert-info">Product (ID #<?= (int)$cardProduct['id'] ?>): cache is found (set <?= intval((time() - $cardProductUpdateDate) / (60 * 60 * 24)) ?> days ago)(<?= $cardProductCache['update_date'] ?>)</p>
                <?php
                    
                if (
                    time() > (int)$cardProductUpdateDate + 60 * 60 * 24 * 30
                    || 1 == 1
                    ) {
                    $cardProductCacheForceUpdate = true;
                    $newCardProductCache = $cardProductCache;
                    $newCardProductCacheMetafields = json_decode($cardProductCache['metafields'], true);
                    $newCardProductCacheMetafields['metafields']['footer.links'] = [
                        'namespace' => 'footer',
                        'key' => 'links',
                        'value' => $VDEVShopifyProduct->getMetafieldsById((int)$cardProduct['id'], 'footer', 'links')
                    ];
                    $newCardProductCache['metafields'] = json_encode($newCardProductCacheMetafields);
                    $newCardProductCache['update_date'] = date('c');
                    $database->setProductCacheById((int)$cardProduct['id'], $newCardProductCache);
                    
                    ?>
                    <p class="alert alert-success">Product (ID #<?= (int)$cardProduct['id'] ?>): cache is updated</p>
                    <?php
                }
            }
        }
        
        if (($i != (int)Tools::getMethod()) 
            && isset($_GET['DEVMODE'])
            ) {
        ?>
        <div class="my-1 p-3 bg-body rounded border gap-2">
            <div class="d-flex text-body-secondary pt-3">
                <img src="<?= $cardProduct['image']['src'] ?>"
                     class="bd-placeholder-img flex-shrink-0 me-2 rounded"
                     width="32"
                     height="32"
                     style="object-fit: cover;"
                     alt="">
                <div style="width: 100%;">
                    <p class="pb-3 mb-0 small lh-sm border-bottom">
                        <strong class="d-block text-gray-dark">
                            <a href="//<?= Tools::getShop() ?>/admin/products/<?= (int)$cardProduct['id'] ?>/"
                               target="_blank">
                                <?= htmlspecialchars($cardProduct['title']) ?>
                            </a>
                        </strong>
                        /products/<?= htmlspecialchars($cardProduct['handle']) ?>
                    </p>
                    <div class="small mt-3 pb-1">
                        <?php if (empty($cardProductMetafields)): ?>
                            <strong class="d-block text-success mb-3">
                                Footer links not found
                            </strong>
                            <a href="<?= Tools::getLink('footer_links', 'add_to_product', (int)$i) ?>"
                               class="btn btn-primary">
                                Add footer links
                            </a>
                        <?php else: ?>
                            <strong class="d-block text-gray" style="color: red;">
                                Footer links found
                            </strong>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
        }
        
        $cardProductCache = $database->getProductCacheById((int)$cardProduct['id']);
        $cardProductCacheMetafields = json_decode($cardProductCache['metafields'], true);
        
        if (empty($cardProductCacheMetafields['footer.links']['value']) || $cardProductCacheForceUpdate) {
            $cmsCollections = [];
            
            if (!empty($collections)) {
                
                foreach ($collections as $i2 => $cardCollection) {
                    
                    if ($cardCollection['template_suffix'] == 'cms') {
                        $cmsCollections[] = $cardCollection;
                    }
                }
                
                if (!empty($cmsCollections)) {
                    shuffle($cmsCollections);
                    $cmsCollections = array_slice($cmsCollections, 0, 6);
                    
                    $cmsCollectionsLinks = [];
                    
                    foreach ($cmsCollections as $cardCmsCollection) {
                        $cmsCollectionsLinks[] = [
                            'title' => $cardCmsCollection['title'],
                            'url' => '/collections/' . $cardCmsCollection['handle']
                        ];
                    }
                    
                    if (Tools::getShop() == 'oxford-shop-australia.myshopify.com') {
                        /* Glossary */
                        $glossaryRandI = rand(0, 5);
                        
                        if (!$glossaryRandI) {
                            $glossaryRandLink = [
                                'title' => 'Glossary',
                                'url' => '/pages/glossary'
                            ];
                            
                            if (count($cmsCollectionsLinks) == 6) {
                                $cmsCollectionsLinks[5] = $glossaryRandLink;
                                
                            } else {
                                $cmsCollectionsLinks[] = $glossaryRandLink;
                            }
                        }
                        /* /Glossary */
                    }
                    
                    shuffle($cmsCollectionsLinks);
                }
            }
        }
        
        if (!empty($cmsCollectionsLinks) && !empty($productsChecked)) {
            $filePath = __DIR__ . '/../../../public/csv/footer_links.csv';
            
            if (!file_exists($filePath)) {
                exit('File not exist: ' . $filePath);
            }
            
            $file = fopen($filePath, 'a');  /* 'a' for append to file - created if doesn't exit */

            if ($productsChecked == 1) {
                file_put_contents($filePath, '');
                
                $line = [
                    'Product title',
                    'Product URL',
                    'Footer links'
                ];
                fputcsv($file, $line);
            }

            $lineLinks = '';
            
            foreach ($cmsCollectionsLinks as $i2 => $cmsCollectionsLink) {
                
                if ($i2) {
                    $lineLinks .= "\r\n";
                }
                
                $lineLinks .= $cmsCollectionsLink['title'] . "\n" . $cmsCollectionsLink['url'];
            }
            
            $line = [
                $cardProduct['title'],
                '/products/' . $cardProduct['handle'],
                $lineLinks
            ];
            fputcsv($file, $line);
        }
            
        ?>
        <div class="my-3 p-3 bg-body rounded border gap-2">
            <div class="d-flex text-body-secondary pt-1">
                <img src="<?= $cardProduct['image']['src'] ?>"
                     class="bd-placeholder-img flex-shrink-0 me-3 rounded"
                     width="52"
                     height="52"
                     style="object-fit: cover;"
                     alt="">
                <div style="width: 100%;">
                    <p class="pb-3 mb-0 small lh-sm border-bottom">
                        <strong class="d-block text-gray-dark">
                            <a href="//<?= Tools::getShop() ?>/admin/products/<?= (int)$cardProduct['id'] ?>/"
                               target="_blank">
                                <?= htmlspecialchars($cardProduct['title']) ?>
                            </a>
                        </strong>
                        /products/<?= htmlspecialchars($cardProduct['handle']) ?>
                    </p>
                    <?php if (empty($cardProductCacheMetafields['footer.links']['value']) || $cardProductCacheForceUpdate): ?>
                        <div class="small mt-3 border-bottom pb-3">
                            <strong class="d-block text-success">
                                New footer links
                            </strong>
                            <?php if (!empty($cmsCollectionsLinks)): ?>
                                <?php
                                
                                    if (Tools::getAction() == 'add_to_product' || Tools::getAction() == 'add_to_all_products') {
                                        $VDEVShopifyProduct->setMetafieldById((int)$cardProduct['id'],
                                            [
                                                'namespace' => 'footer',
                                                'key' => 'links',
                                                'value' => json_encode($cmsCollectionsLinks)
                                            ]
                                        );
                                        
                                        /* Updating cache */
                                        $newCardProductCache = $cardProductCache;
                                        $newCardProductCacheMetafields = json_decode($newCardProductCache['metafields'], true);
                                        
                                        if (empty($newCardProductCacheMetafields)) {
                                            $newCardProductCacheMetafields = [];
                                        }
                                        
                                        $newCardProductCacheMetafields['footer.links'] = [
                                            'namespace' => 'footer',
                                            'key' => 'links',
                                            'value' => json_encode($cmsCollectionsLinks)
                                        ];
                                        $newCardProductCache['metafields'] = json_encode($newCardProductCacheMetafields);
                                        $newCardProductCache['update_date'] = date('c');
                                        $database->setProductCacheById((int)$cardProduct['id'], $newCardProductCache);
                                        /* /Updating cache */
                                    }
                                    
                                ?>
                                <?php foreach ($cmsCollectionsLinks as $cardCmsCollectionsLink): ?>
                                    <small class="d-block mt-2">
                                        <?= htmlspecialchars($cardCmsCollectionsLink['title']) ?>
                                        <span class="d-block" style="opacity: .5;">
                                            <?= htmlspecialchars($cardCmsCollectionsLink['url']) ?>
                                        </span>
                                    </small>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </div>
                        <?php if (!empty($cmsCollectionsLinks)): ?>
                            <p class="pt-3 pb-2 mb-0 small lh-sm">
                                <?= json_encode($cmsCollectionsLinks) ?>
                            </p>
                        <?php else: ?>
                            <?php exit('<p>CMS collections not found</p>'); ?>
                        <?php endif; ?>
                    <?php else: ?>
                        <div class="small mt-3 border-bottom pb-3">
                            <strong class="d-block text-gray" style="color: red;">
                                Existing footer links
                            </strong>
                        </div>
                        <p class="pt-3 pb-2 mb-0 small lh-sm">
                            <?= json_encode($cardProductCacheMetafields['footer.links']['value']) ?>
                        </p>
                        <?php if (Tools::getAction() != 'add_to_all_products'): ?>
                            <div class="border-top mt-2 pt-3 mb-1">
                                <a href="<?= Tools::getLink('footer_links', 'skip_product', (int)Tools::getMethod() + 1) ?>"
                                   class="btn btn-warning">
                                    Skip product
                                </a>
                                <a href="<?= Tools::getLink('footer_links', 'found_product_without_links', (int)Tools::getMethod() + 1) ?>"
                                   class="btn btn-secondary ms-2"
                                   style="display: none !important;">
                                    Find product without links
                                </a>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="mt-3 pt-3 text-center">
            <?php if (Tools::getAction() == 'add_to_all_products'): ?>
                <div style="margin: 0 auto; max-width: 300px;">
                   <div>
                        <button class="btn btn-primary d-block w-100"
                                disabled>
                            Updating all products...
                        </button>
                    </div>
                   <div class="mt-2">
                        <a href="<?= Tools::getLink('footer_links') ?>"
                           class="btn btn-warning d-block">
                            Stop
                        </a>
                    </div>
                </div>
            <?php else: ?>
                <?php
                
                $buttonLink = Tools::getLink('footer_links', 'add_to_all_products', 0);
                $buttonLink .= '&products_checked=' . ((int)$productsChecked + 1);
                $buttonLink .= '&page_info=' . $products['pagination']['next_page_info'];
                
                ?>
                <div style="margin: 0 auto; max-width: 300px;">
                   <div>
                        <a href="<?= $buttonLink ?>"
                           class="btn btn-primary d-block">
                            Update all products
                        </a>
                   </div>
                   <div class="mt-2">
                        <a href="/apps/product-list/public/csv/footer_links.csv"
                           class="btn btn-secondary d-block">
                            Download recent .csv report
                        </a>
                   </div>
                </div>
            <?php endif; ?>
        </div>
        <?php
        
        if (Tools::getAction() == 'add_to_all_products' && !empty($products['pagination']['next_page_info'])):
            $buttonLink = Tools::getLink('footer_links', 'add_to_all_products', (int)Tools::getMethod() + 1);
            $buttonLink .= '&products_checked=' . ((int)$productsChecked + 1);
            $buttonLink .= '&page_info=' . $products['pagination']['next_page_info'];
            
            // if (!empty($_COOKIE['__PRODUCT-LIST_NEXT_PAGEINFO']) && $_COOKIE['__PRODUCT-LIST_NEXT_PAGEINFO'] != $_COOKIE['__PRODUCT-LIST_NEXT_PAGEINFO']) {
            //     setcookie('__PRODUCT-LIST_CURRENT_PAGEINFO', $_COOKIE['__PRODUCT-LIST_NEXT_PAGEINFO'], time() + 3600);
            // }
            
            // setcookie('__PRODUCT-LIST_NEXT_PAGEINFO', $products['pagination']['next_page_info'], time() + 3600);
        ?>
            <?php if (!empty($products['pagination']['prev_page_info']) && !empty($_GET['DEVMODE'])): ?>
            <div style="text-align: center;">
                <?php
                
                $buttonLink = Tools::getLink('footer_links', 'add_to_all_products', (int)Tools::getMethod() - 1);
                $buttonLink .= '&products_checked=' . ((int)$productsChecked - 1);
                $buttonLink .= '&page_info=' . $products['pagination']['prev_page_info'];
                
                ?>
                <a class="btn btn-secondary"
                   href="<?= $buttonLink ?>">
                    Previous product
                </a>
            </div>
            <?php endif; ?>
            <?php if (!empty($_GET['DEVMODE'])): ?>
                <hr>
                <div>
                    prev_page_info:<br>
                    <?= $products['pagination']['prev_page_info'] ?>
                    <hr>
                    next_page_info:<br>
                    <?= $products['pagination']['next_page_info'] ?>
                </div>
                <div>
                    <?php if (!empty($_COOKIE['__PRODUCT-LIST_CURRENT_PAGEINFO'])): ?>
                    LIST_CURRENT_PAGEINFO:<br><?= $_COOKIE['__PRODUCT-LIST_CURRENT_PAGEINFO'] ?><hr>
                    <?php endif; ?>
                    LIST_NEXT_PAGEINFO:<br><?= $products['pagination']['next_page_info'] ?>
                </div>
            <?php endif; ?>
            <script>
                
                setTimeout(function() {
                    window.location.href = '<?= $buttonLink ?>';
                }, 100);
                
            </script>
        <?php
        endif;

        exit;
    }
    
    ?>
</div>