<?php

$directoryPath = __DIR__ . '/../../upload/' . Tools::getShop();

if (!file_exists($directoryPath)) {
    mkdir($directoryPath, 0777, true);
}

?>
<h5 class="mb-3 pb-1">
    Import
</h5>
<div class="border-top p-4" style="margin-right: -1.5rem; margin-left: -1.5rem;">
    <?php
    
    if (Tools::getAction() == 'csv_file' && !empty($_GET['csv_file']) && !empty($_GET['csv_type'])): ?>
    <?php
    
        $file = $_GET['csv_file'];
        $type = $_GET['csv_type'];
        
        switch (Tools::getMethod()) {
            
            case 'import':    
                ?>
                <h4>
                    Importing <?= htmlspecialchars($type) ?> from a .csv file
                </h4>
                <p class="text-muted">
                    File: <?= htmlspecialchars($file) ?>
                </p>
                <?php
            
                if (!empty($file)) {
                    $csv = [];
        
                    if (!file_exists($directoryPath . '/' . $type)) {
                        mkdir($directoryPath . '/' . $type, 0777, true);
                    }
                
                    $fileParts = explode('.', $file);
                    $ext = strtolower(end($fileParts));
                
                    if ($ext === 'csv') {
                        $filePath = $directoryPath . '/' . $type . '/' . $file;
                        
                        if (($handle = fopen($filePath, 'r')) !== false) {
                            set_time_limit(0);
                            $row = 0;
                
                            while (($data = fgetcsv($handle, 1000, ',')) !== false) {
                                $col_count = count($data);
                                
                                if (!empty($data[2])) {
                                    $csv[$row]['handle'] = $data[2];
                                    $csv[$row]['meta_title'] = $data[3];
                                    $csv[$row]['meta_description'] = $data[4];
                                    $csv[$row]['title'] = $data[5];
                                    $csv[$row]['description'] = $data[6];
                                    
                                    /* CMS: query */
                                    if (!empty($data[7])) {
                                        $csv[$row]['cms_query'] = '/search?view=ajax&type=product&section_id=ajax-collection-cms&q=' . urlencode($data[7]) . '*';
                                        $csv[$row]['template_suffix'] = 'cms';
                                    
                                    } else if (!empty($data[8])) {
                                        $csv[$row]['cms_query'] = $data[8];
                                        $csv[$row]['template_suffix'] = 'cms';
                                    
                                    } else {
                                        $csv[$row]['cms_query'] = '';
                                    }
                                    /* /CMS: query */
                                    
                                    /* Footer */
                                    if (!empty($data[8])) {
                                        $csv[$row]['footer_title'] = $data[8];
                                    }
                                    
                                    if (!empty($data[9])) {
                                        $csv[$row]['footer_text'] = $data[9];
                                    }
                                    /* /Footer */
                                }
                
                                $row++;
                            }
                            
                            fclose($handle);
                        }
                    }
                }
                
                switch ($type) {
                    
                    case 'products':
                        $products = $csv;
                        unset($products[0]);
                        ?>
                        <p class="alert alert-info">
                            Products found: <?= count($products) ?>
                        </p>
                        <p class="alert alert-warning">
                            Temporarily is disabled
                        </p>
                        <?php exit; ?>
                        <p class="alert alert-success">
                            Products are updated
                        </p>
                        <?php $VDEVShopifyProduct = $VDEVShopify->apiClass('product'); ?>
                        <?php foreach ($products as $cardCsvProduct): ?>
                            <?php if (!empty($cardCsvProduct['handle'])): ?>
                                <?php
                                $cardProductProducts = $VDEVShopifyProduct->getAll(['limit' => 1, 'handle' => $cardCsvProduct['handle']]);
                                ?>
                                <?php if (!empty($cardProductProducts[0]['handle'])): ?>
                                    <?php $cardProduct = $cardProductProducts[0]; ?>
                                    
                                    <div class="my-3 p-3 bg-body rounded border gap-2">
                                        <div class="d-flex text-body-secondary pt-1">
                                            <img src="<?= $cardProduct['image']['src'] ?>"
                                                 class="bd-placeholder-img flex-shrink-0 me-3 rounded"
                                                 width="52"
                                                 height="52"
                                                 style="object-fit: cover;"
                                                 alt="">
                                            <div style="width: 100%;">
                                                <p class="pb-3 mb-0 small lh-sm border-bottom">
                                                    <strong class="d-block text-gray-dark">
                                                        <a href="//<?= Tools::getShop() ?>/admin/products/<?= (int)$cardProduct['id'] ?>/"
                                                           target="_blank">
                                                            <?= htmlspecialchars($cardProduct['title']) ?>
                                                        </a>
                                                    </strong>
                                                    /<?= htmlspecialchars($type) ?>/<?= htmlspecialchars($cardProduct['handle']) ?>
                                                </p>
                                                <div class="small mt-3 pb-1">
                                                    <strong class="d-block text-success">
                                                        New data
                                                    </strong>
                                                    <?php
                                                    
                                                    if (!empty($cardCsvProduct['meta_title'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Meta title
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvProduct['meta_title']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $newMetafield = $VDEVShopifyProduct->setMetafieldById((int)$cardProduct['id'],
                                                            [
                                                                'namespace' => 'global',
                                                                'key' => 'title_tag',
                                                                'value' => $cardCsvProduct['meta_title'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                    }
                                                    
                                                    if (!empty($cardCsvProduct['meta_description'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Meta description
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvProduct['meta_description']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $VDEVShopifyProduct->setMetafieldById((int)$cardProduct['id'],
                                                            [
                                                                'namespace' => 'global',
                                                                'key' => 'description_tag',
                                                                'value' => $cardCsvProduct['meta_description'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                    }
                                                    
                                                    ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endforeach;
                    break;
                    
                    case 'collections':
                        $collections = $csv;
                        unset($collections[0]);
                        ?>
                        <p class="alert alert-warning">
                            Collections found: <?= count($collections) ?>
                        </p>
                        <?php $VDEVShopifyCollection = $VDEVShopify->apiClass('collection'); ?>
                        <?php foreach ($collections as $cardCsvCollection):  ?>
                            <?php if (!empty($cardCsvCollection['handle'])): ?>
                                <?php
                                $cardCollectionAction = null;
                                $cardCollectionCollections = $VDEVShopifyCollection->getAll(['limit' => 1, 'handle' => $cardCsvCollection['handle']]);
                                
                                if (!empty($cardCollectionCollections[0]['handle'])) {
                                    $cardCollection = $cardCollectionCollections[0];
                                    $cardCollectionAction = 'update';
                                
                                } else {
                                    $cardCollectionCollections = $VDEVShopifyCollection->getAll(['limit' => 1, 'handle' => $cardCsvCollection['handle']], 'smart');
                                    
                                    if (!empty($cardCollectionCollections[0]['handle'])) {
                                        $cardCollection = $cardCollectionCollections[0];
                                        $cardCollectionAction = 'update';
                                    
                                    } else {
                                        $cardCollectionData = [
                                            'handle' => $cardCsvCollection['handle'],
                                            'title' => $cardCsvCollection['title'],
                                            'body_html' => $cardCsvCollection['description']
                                        ];
                                        
                                        if (!empty($cardCsvCollection['template_suffix'])) {
                                            $cardCollectionData['template_suffix'] = $cardCsvCollection['template_suffix'];
                                        }
                                        
                                        if (!empty($cardCsvCollection['meta_title'])) {
                                            $cardCollectionData['metafields'][] = [
                                                'namespace' => 'global',
                                                'key' => 'title_tag',
                                                'value' => $cardCsvCollection['meta_title'],
                                                'type' => 'single_line_text_field'
                                            ];
                                        }
                                        
                                        if (!empty($cardCsvCollection['meta_description'])) {
                                            $cardCollectionData['metafields'][] = [
                                                'namespace' => 'global',
                                                'key' => 'description_tag',
                                                'value' => $cardCsvCollection['meta_description'],
                                                'type' => 'single_line_text_field'
                                            ];
                                        }
                                        
                                        if (!empty($cardCsvCollection['cms_query'])) {
                                            $cardCollectionData['metafields'][] = [
                                                'namespace' => 'cms',
                                                'key' => 'query',
                                                'value' => $cardCsvCollection['cms_query'],
                                                'type' => 'single_line_text_field'
                                            ];
                                        }
                                        
                                        if (!empty($cardCsvCollection['footer_title'])) {
                                            $cardCollectionData['metafields'][] = [
                                                'namespace' => 'footer',
                                                'key' => 'title',
                                                'value' => $cardCsvCollection['footer_title'],
                                                'type' => 'single_line_text_field'
                                            ];
                                        }
                                        
                                        if (!empty($cardCsvCollection['footer_text'])) {
                                            
                                            // if (Tools::getShop() == 'wmr-shoehq.myshopify.com') {
                                            //     $cardCollectionData['metafields'][] = [
                                            //         'namespace' => 'shogun',
                                            //         'key' => 'below',
                                            //         'value' => $cardCsvCollection['footer_text'],
                                            //         'type' => 'multi_line_text_field'
                                            //     ];
                                                
                                            // } else {
                                                $cardCollectionData['metafields'][] = [
                                                    'namespace' => 'footer',
                                                    'key' => 'text',
                                                    'value' => $cardCsvCollection['footer_text'],
                                                    'type' => 'multi_line_text_field'
                                                ];
                                            // }
                                        }
                                        
                                        $cardCollection = $VDEVShopifyCollection->add($cardCollectionData);
                                        $cardCollectionAction = 'create';
                                    }
                                }
                                
                                ?>
                                <?php if (!empty($cardCollection)): ?>
                                    <?php if ($cardCollectionAction == 'update'): ?>
                                        <p class="alert alert-info">
                                            Collection is updated
                                        </p>
                                    <?php else: ?>
                                        <p class="alert alert-success">
                                            Collection is created
                                        </p>
                                    <?php endif; ?>
                                    <div class="my-3 p-3 bg-body rounded border gap-2">
                                        <div class="d-flex text-body-secondary pt-1">
                                            <img src="<?= $cardCollection['image']['src'] ?>"
                                                 class="bd-placeholder-img flex-shrink-0 me-3 rounded"
                                                 width="52"
                                                 height="52"
                                                 style="object-fit: cover; display: none;"
                                                 alt="">
                                            <div style="width: 100%;">
                                                <p class="pb-3 mb-0 small lh-sm border-bottom">
                                                    <strong class="d-block text-gray-dark">
                                                        <a href="//<?= Tools::getShop() ?>/admin/collections/<?= (int)$cardCollection['id'] ?>/"
                                                           target="_blank">
                                                            <?= htmlspecialchars($cardCollection['title']) ?>
                                                        </a>
                                                    </strong>
                                                    /<?= htmlspecialchars($type) ?>/<?= htmlspecialchars($cardCollection['handle']) ?>
                                                </p>
                                                <div class="small mt-3 pb-1">
                                                    <strong class="d-block text-success">
                                                        New data
                                                    </strong>
                                                    <?php
                                                    
                                                    $newCollectionData = [];
                                                    
                                                    if (!empty($cardCsvCollection['meta_title'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Meta title
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['meta_title']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                            [
                                                                'namespace' => 'global',
                                                                'key' => 'title_tag',
                                                                'value' => $cardCsvCollection['meta_title'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['meta_description'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Meta description
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['meta_description']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                            [
                                                                'namespace' => 'global',
                                                                'key' => 'description_tag',
                                                                'value' => $cardCsvCollection['meta_description'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['title'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Title
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['title']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $newCollectionData['title'] = $cardCsvCollection['title'];
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['description'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Description
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['description']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $newCollectionData['body_html'] = $cardCsvCollection['description'];
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['cms_query'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            CMS query
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['cms_query']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                            [
                                                                'namespace' => 'cms',
                                                                'key' => 'query',
                                                                'value' => $cardCsvCollection['cms_query'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                        
                                                        $newCollectionData['template_suffix'] = 'cms';
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['footer_title'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Footer title
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['footer_title']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                    
                                                        $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                            [
                                                                'namespace' => 'footer',
                                                                'key' => 'title',
                                                                'value' => $cardCsvCollection['footer_title'],
                                                                'type' => 'single_line_text_field'
                                                            ]
                                                        );
                                                    }
                                                    
                                                    if (!empty($cardCsvCollection['footer_text'])) {
                                                        ?>
                                                        <small class="d-block mt-2">
                                                            Footer text
                                                            <span class="d-block" style="opacity: .5;">
                                                                <?= htmlspecialchars($cardCsvCollection['footer_text']) ?>
                                                            </span>
                                                        </small>
                                                        <?php
                                                        
                                                        // if (Tools::getShop() == 'wmr-shoehq.myshopify.com') {
                                                        //     $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                        //         [
                                                        //             'namespace' => 'shogun',
                                                        //             'key' => 'below',
                                                        //             'value' => $cardCsvCollection['footer_text'],
                                                        //             'type' => 'multi_line_text_field'
                                                        //         ]
                                                        //     );
                                                        
                                                        // } else {
                                                            $VDEVShopifyCollection->setMetafieldById((int)$cardCollection['id'],
                                                                [
                                                                    'namespace' => 'footer',
                                                                    'key' => 'text',
                                                                    'value' => $cardCsvCollection['footer_text'],
                                                                    'type' => 'multi_line_text_field'
                                                                ]
                                                            );
                                                        // }
                                                    }
                                                    
                                                    if (!empty($newCollectionData)) {
                                                        $VDEVShopifyCollection->setById((int)$cardCollection['id'], $newCollectionData);
                                                    }
                                                        
                                                    ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endforeach;
                        break;
                }
                
                break;
            
            case 'remove':
                ?>
                <h4>
                    Removing the .csv file
                </h4>
                <p class="text-muted">
                    File: <?= htmlspecialchars($file) ?>
                </p>
                <?php
                
                $filePath = $directoryPath . '/' . $type . '/' . $file;
                
                if (!file_exists($filePath)) {
                    exit('File not found');
                }
                
                unlink($filePath);
                
                ?>
                <p class="alert alert-success">
                    File is removed
                </p>
                <?php
                break;
        }
        
    ?>
    <?php else: ?>
        <div class="border p-4">
            <h4>
                Upload a .csv file
            </h4>
            <?php
            
            if (isset($_FILES['csv_file']) && isset($_POST['csv_type'])) {
                $file = $_FILES['csv_file'];
                $type = $_POST['csv_type'];
                    
                if ($file['error'] === UPLOAD_ERR_OK) {
                    $fileTmpPath = $file['tmp_name'];
                    $fileName = $file['name'];
                    $fileSize = $file['size'];
                    $fileType = $file['type'];
                    
                    $fileNameCmps = explode('.', $fileName);
                    $fileExtension = strtolower(end($fileNameCmps));
                    
                    $allowedFileExtensions = ['csv'];
                    $allowedTypes = ['products', 'collections'];
                    
                    if (in_array($fileExtension, $allowedFileExtensions) && in_array($type, $allowedTypes)) {
                        $fileShop = null;
                        $fileSource = null;
                        
                        if (($handle = fopen($fileTmpPath, 'r')) !== false) {
                            set_time_limit(0);
                            $row = 0;
                            
                            while (($data = fgetcsv($handle, 1000, ',')) !== false) {
                                $col_count = count($data);
                                
                                if ($row == 1) {
                                    $fileShop = $data[0];
                                    $fileSource = $data[1];
                                }
                                
                                $row++;
                            }
                            
                            fclose($handle);
                        }
                        
                        if (empty($fileShop) || $fileShop != Tools::getShop()) {
                            exit('Shop not matching (' . $fileShop . ')(' . Tools::getShop() . ')');
                        }
                        
                        if (empty($fileSource)) {
                            exit('Source not found');
                        }
                        
                        $newFileName = date('Y-m-d_H:m:s') . '_' . $fileSource . '_' . md5(time() . $fileName) . '.' . $fileExtension;
                        
                        if (!file_exists($directoryPath . '/' . $type)) {
                            mkdir($directoryPath . '/' . $type, 0777, true);
                        }
                        
                        $filePath = $directoryPath . '/' . $type . '/' . $newFileName;
                        
                        if (move_uploaded_file($fileTmpPath, $filePath)) {
                            ?>
                            <p class="alert alert-success mt-4">
                                File is successfully uploaded
                            </p>
                            <?php
                            
                        } else {
                            ?>
                            <p class="alert alert-warning">
                                There was some error moving the file to upload directory. Please make sure the upload directory is writable by web server
                            </p>
                            <?php
                        }
                        
                    } else {
                        ?>
                        <p class="alert alert-warning">
                            Upload failed. Allowed file types: <?= implode(',', $allowedFileExtensions) ?>
                        </p>
                        <?php
                    }
              
                } else {
                    ?>
                    <p class="alert alert-warning">
                        There is some error in the file upload. Please check the following error
                    </p>
                    <?php
                }
            }
            
            ?>
            <form class="needs-validation mt-4 pt-1"
                  action="<?= Tools::getLink('import') ?>"
                  method="POST"
                  enctype="multipart/form-data">
                <div class="row g-3 mb-4">
                    <div class="col-12">
                        <label class="form-label">
                            Select a file
                        </label>
                        <input class="form-control"
                               name="csv_file"
                               type="file">
                    </div>
                    <div class="col-12"
                         style="display: none;">
                        <label class="form-label">
                            Select a type
                        </label>
                        <div class="list-group">
                            <label class="list-group-item d-flex gap-2">
                                <input class="form-check-input flex-shrink-0" type="radio" name="csv_type" value="collections" checked>
                                <span>
                                    Collections
                                </span>
                            </label>
                            <label class="list-group-item d-flex gap-2">
                                <input class="form-check-input flex-shrink-0" type="radio" name="csv_type" value="products">
                                <span>
                                    Products
                                </span>
                            </label>
                        </div>
                    </div>
                </div>
                <button type="submit"
                        class="btn btn-primary">
                    Upload
                </button>
            </form>
        </div>
        <div class="border p-4 pb-3 mt-4"
             style="min-height: 238px">
            <h4 class="mb-4">
                Uploaded .csv files
            </h4>
            <div class="list-group list-group-flush border-top scrollarea" style="margin-right: -1.5rem; margin-left: -1.5rem;">
                <?php
                
                $directoryTypes = [
                    'products',
                    'collections'
                ];
                
                foreach ($directoryTypes as $directoryType) {
                    $directoryTypePath = $directoryPath . '/' . $directoryType;
                
                    if (is_dir($directoryTypePath)) {
                            
                        if ($dh = opendir($directoryTypePath)) {
                            
                            while (($file = readdir($dh)) !== false) {
                                
                                if (preg_match('#\.csv$#', $file)) {
                                    $filePath = $directoryTypePath . '/' . $file;
                                    
                                    $fileParts = explode('_', $file);
                                    $fileDate = $fileParts[0] . ' ' . $fileParts[1];
                                    $fileSource = $fileParts[2];
                                    $fileName = $fileParts[3];
                                    
                                    ?>
                                    <div class="list-group-item list-group-item-action py-3 px-4 lh-sm">
                                        <div class="d-flex w-100 align-items-center justify-content-between">
                                            <strong class="mb-1">
                                                <span>
                                                    <?= htmlspecialchars($fileName) ?>
                                                </span>
                                            </strong>
                                            <small class="text-trim">
                                                <?= filesize($filePath) ?> bytes
                                            </small>
                                        </div>
                                        <div class="col-10 pb-1 mb-2 small">
                                            <?= htmlspecialchars($fileDate) ?>
                                        </div>
                                        <div class="d-flex gap-4">
                                            <a href="<?= Tools::getLink('import', 'csv_file', 'import') ?>&csv_file=<?= htmlspecialchars($file) ?>&csv_type=<?= htmlspecialchars($directoryType) ?>" style="text-decoration: none;">
                                                <small class="d-block text-muted">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-pencil me-1" viewBox="0 0 16 16" style="margin-top: -3px;">
                                                        <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                                                    </svg>
                                                    Import <?= htmlspecialchars($directoryType) ?>
                                                </small>
                                            </a>
                                            <a href="<?= Tools::getLink('import', 'csv_file', 'remove') ?>&csv_file=<?= htmlspecialchars($file) ?>&csv_type=<?= htmlspecialchars($directoryType) ?>" style="text-decoration: none;">
                                                <small class="d-block text-muted">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-trash3" viewBox="0 0 16 16">
                                                        <path d="M6.5 1h3a.5.5 0 0 1 .5.5v1H6v-1a.5.5 0 0 1 .5-.5ZM11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3A1.5 1.5 0 0 0 5 1.5v1H2.506a.58.58 0 0 0-.01 0H1.5a.5.5 0 0 0 0 1h.538l.853 10.66A2 2 0 0 0 4.885 16h6.23a2 2 0 0 0 1.994-1.84l.853-10.66h.538a.5.5 0 0 0 0-1h-.995a.59.59 0 0 0-.01 0H11Zm1.958 1-.846 10.58a1 1 0 0 1-.997.92h-6.23a1 1 0 0 1-.997-.92L3.042 3.5h9.916Zm-7.487 1a.5.5 0 0 1 .528.47l.5 8.5a.5.5 0 0 1-.998.06L5 5.03a.5.5 0 0 1 .47-.53Zm5.058 0a.5.5 0 0 1 .47.53l-.5 8.5a.5.5 0 1 1-.998-.06l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z"/>
                                                    </svg>
                                                    Remove file
                                                </small>
                                            </a>
                                        </div>
                                    </div>
                                    <?php
                                }
                            }
                            closedir($dh);
                        }
                    }
                }
                
                ?>
            </div>
        </div>
    <?php endif; ?>
</div>